#ifndef TAGCOLL_TAGCOLLSINK_H
#define TAGCOLL_TAGCOLLSINK_H

/*
 * TagcollConsumer that discards its input
 *
 * Copyright (C) 2003  Enrico Zini <enrico@debian.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 */

#include <tagcoll/TagcollConsumer.h>

namespace Tagcoll
{

// TagcollConsumer that discards all data
template<class ITEM, class TAG = std::string>
class TagcollSink : public TagcollConsumer<ITEM, TAG>
{
public:
	virtual ~TagcollSink() throw () {}
	virtual void consume(const ITEM& item) throw () {}
	virtual void consume(const ITEM& item, const OpSet<TAG>& tags) throw () {}
	virtual void consume(const OpSet<ITEM>& items) throw () {}
	virtual void consume(const OpSet<ITEM>& items, const OpSet<TAG>& tags) throw () {}
};

};

// vim:set ts=4 sw=4:
#endif
